Bubble

Enumerations | Functions
Bubble

The Bubble is a widget to show text similar to how speech is represented in comics. More...

## Enumerations
enum | Elm_Bubble_Pos { , ELM_BUBBLE_POS_TOP_LEFT, ELM_BUBBLE_POS_TOP_RIGHT, ELM_BUBBLE_POS_BOTTOM_LEFT, ELM_BUBBLE_POS_BOTTOM_RIGHT , ELM_BUBBLE_POS_TOP_LEFT, ELM_BUBBLE_POS_TOP_RIGHT, ELM_BUBBLE_POS_BOTTOM_LEFT, ELM_BUBBLE_POS_BOTTOM_RIGHT }
| Defines the corner values for a bubble. More...
enum | Elm_Bubble_Pos { , ELM_BUBBLE_POS_TOP_LEFT, ELM_BUBBLE_POS_TOP_RIGHT, ELM_BUBBLE_POS_BOTTOM_LEFT, ELM_BUBBLE_POS_BOTTOM_RIGHT , ELM_BUBBLE_POS_TOP_LEFT, ELM_BUBBLE_POS_TOP_RIGHT, ELM_BUBBLE_POS_BOTTOM_LEFT, ELM_BUBBLE_POS_BOTTOM_RIGHT }
| Defines the corner values for a bubble. More...

## Functions
EOAPI void | elm_obj_bubble_pos_set (Elm_Bubble_Pos pos)
| Set the corner of the bubble. More...
EOAPI Elm_Bubble_Pos | elm_obj_bubble_pos_get (void)
| Get the corner of the bubble. More...
void | elm_bubble_pos_set (Elm_Bubble *obj, Elm_Bubble_Pos pos)
| Set the corner of the bubble. More...
Elm_Bubble_Pos | elm_bubble_pos_get (const Elm_Bubble *obj)
| Get the corner of the bubble. More...
Evas_Object * | elm_bubble_add (Evas_Object *parent)
| Add a new bubble to the parent. More...

## Detailed Description

The Bubble is a widget to show text similar to how speech is represented in comics.

The bubble widget contains 5 important visual elements:

- The frame is a rectangle with rounded edjes and an "arrow".
- The `icon` is an image to which the frame's arrow points to.
- The `label` is a text which appears to the right of the icon if the corner is "top_left" or "bottom_left" and is right aligned to the frame otherwise.
- The `info` is a text which appears to the right of the label. Info's font is of a lighter color than label.
- The `content` is an evas object that is shown inside the frame.

The position of the arrow, icon, label and info depends on which corner is selected. The four available corners are:

- "top_left" - Default
- "top_right"
- "bottom_left"
- "bottom_right"

This widget inherits from the Layout one, so that all the functions acting on it also work for bubble objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"clicked"` - This is called when a user has clicked the bubble.
- `"focused"` - When the bubble has received focus. (since 1.8)
- `"unfocused"` - When the bubble has lost focus. (since 1.8)

Default content parts of the bubble that you can use for are:

- "default" - A content of the bubble
- "icon" - An icon of the bubble

Default text parts of the button widget that you can use for are:

- "default" - A label of the bubble
- "info" - An info of the bubble

Supported elm_object common APIs.

- elm_object_part_text_set
- elm_object_part_text_get
- elm_object_part_content_set
- elm_object_part_content_get
- elm_object_part_content_unset

For an example of using a bubble see this.

## Enumeration Type Documentation

## ◆ Elm_Bubble_Pos [1/2]

enum Elm_Bubble_Pos

Defines the corner values for a bubble.

The corner will be used to determine where the arrow of the bubble points to.

Enumerator
ELM_BUBBLE_POS_TOP_LEFT | Invalid corner.
ELM_BUBBLE_POS_TOP_RIGHT | The arrow of the bubble points to the top left corner.
ELM_BUBBLE_POS_BOTTOM_LEFT | The arrow of the bubble points to the top right corner.
ELM_BUBBLE_POS_BOTTOM_RIGHT | The arrow of the bubble points to the bottom left corner. The arrow of the bubble points to the bottom right corner.
ELM_BUBBLE_POS_TOP_LEFT | Invalid corner.
ELM_BUBBLE_POS_TOP_RIGHT | The arrow of the bubble points to the top left corner.
ELM_BUBBLE_POS_BOTTOM_LEFT | The arrow of the bubble points to the top right corner.
ELM_BUBBLE_POS_BOTTOM_RIGHT | The arrow of the bubble points to the bottom left corner. The arrow of the bubble points to the bottom right corner.

## ◆ Elm_Bubble_Pos [2/2]

enum Elm_Bubble_Pos

Defines the corner values for a bubble.

The corner will be used to determine where the arrow of the bubble points to.

Enumerator
ELM_BUBBLE_POS_TOP_LEFT | Invalid corner.
ELM_BUBBLE_POS_TOP_RIGHT | The arrow of the bubble points to the top left corner.
ELM_BUBBLE_POS_BOTTOM_LEFT | The arrow of the bubble points to the top right corner.
ELM_BUBBLE_POS_BOTTOM_RIGHT | The arrow of the bubble points to the bottom left corner. The arrow of the bubble points to the bottom right corner.
ELM_BUBBLE_POS_TOP_LEFT | Invalid corner.
ELM_BUBBLE_POS_TOP_RIGHT | The arrow of the bubble points to the top left corner.
ELM_BUBBLE_POS_BOTTOM_LEFT | The arrow of the bubble points to the top right corner.
ELM_BUBBLE_POS_BOTTOM_RIGHT | The arrow of the bubble points to the bottom left corner. The arrow of the bubble points to the bottom right corner.

## Function Documentation

## ◆ elm_bubble_add()

Evas_Object* elm_bubble_add | ( | Evas_Object * | parent | ) |

Add a new bubble to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

This function adds a text bubble to the given parent evas object.

References ELM_BUBBLE_POS_BOTTOM_RIGHT.

## ◆ elm_bubble_pos_get()

Elm_Bubble_Pos elm_bubble_pos_get | ( | const Elm_Bubble * | obj | ) |

Get the corner of the bubble.

This function gets the selected corner of the bubble.

Returns
  The given corner for the bubble.

References elm_obj_bubble_pos_get().

## ◆ elm_bubble_pos_set()

void elm_bubble_pos_set | ( | Elm_Bubble * | obj,
|  | Elm_Bubble_Pos | pos
| ) |  |

Set the corner of the bubble.

This function sets the corner of the bubble. The corner will be used to determine where the arrow in the frame points to and where label, icon and info are shown.

Parameters

  [in] | pos | The given corner for the bubble.

References elm_obj_bubble_pos_set().

## ◆ elm_obj_bubble_pos_get()

EOAPI Elm_Bubble_Pos elm_obj_bubble_pos_get | ( | void |  | ) |

Get the corner of the bubble.

This function gets the selected corner of the bubble.

Returns
  The given corner for the bubble.

Referenced by elm_bubble_pos_get().

## ◆ elm_obj_bubble_pos_set()

EOAPI void elm_obj_bubble_pos_set | ( | Elm_Bubble_Pos | pos | ) |

Set the corner of the bubble.

This function sets the corner of the bubble. The corner will be used to determine where the arrow in the frame points to and where label, icon and info are shown.

Parameters

  [in] | pos | The given corner for the bubble.

Referenced by elm_bubble_pos_set().